Package org.apache.groovy.parser.antlr4

## Class GroovyParser.EmptyDimsContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
      - - org.apache.groovy.parser.antlr4.GroovyParser.EmptyDimsContext

- All Implemented Interfaces:
    `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`
  Enclosing class:
    GroovyParser

      public static class GroovyParser.EmptyDimsContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EmptyDimsContext​(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<Result> Result` | `accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)` |
    `List<? extends GroovyParser.AnnotationsOptContext>` | `annotationsOpt()` |
    `GroovyParser.AnnotationsOptContext` | `annotationsOpt​(int i)` |
    `int` | `getRuleIndex()` |
    `List<? extends org.antlr.v4.runtime.tree.TerminalNode>` | `LBRACK()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `LBRACK​(int i)` |
    `List<? extends org.antlr.v4.runtime.tree.TerminalNode>` | `RBRACK()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `RBRACK​(int i)` |

    - ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

      `getMetaDataMap, setMetaDataMap`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

      `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- - ### Constructor Detail

    - #### EmptyDimsContext

          public EmptyDimsContext​(org.antlr.v4.runtime.ParserRuleContext parent,
                                  int invokingState)

  - ### Method Detail

    - #### annotationsOpt

          public List<? extends GroovyParser.AnnotationsOptContext> annotationsOpt()

    - #### annotationsOpt

          public GroovyParser.AnnotationsOptContext annotationsOpt​(int i)

    - #### LBRACK

          public List<? extends org.antlr.v4.runtime.tree.TerminalNode> LBRACK()

    - #### LBRACK

          public org.antlr.v4.runtime.tree.TerminalNode LBRACK​(int i)

    - #### RBRACK

          public List<? extends org.antlr.v4.runtime.tree.TerminalNode> RBRACK()

    - #### RBRACK

          public org.antlr.v4.runtime.tree.TerminalNode RBRACK​(int i)

    - #### getRuleIndex

          public int getRuleIndex()

      Overrides:
        `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

    - #### accept

          public <Result> Result accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)

      Specified by:
        `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
      Overrides:
        `accept` in class `org.antlr.v4.runtime.RuleContext`